--- inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/wmf-print.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/wmf-print.cpp
@@ -551,7 +551,7 @@
         Geom::Point p1(one * transform);
         Geom::Point p(p1 - p0);
 
-        double scale = sqrt((p[X] * p[X]) + (p[Y] * p[Y])) / sqrt(2);
+        double scale = sqrt((p[X] * p[X]) + (p[Y] * p[Y])) / sqrt(2.);
 
         if (!style->stroke_width.computed) {
             return 0;   //if width is 0 do not (reset) the pen, it should already be NULL_PEN
--- inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/emf-inout.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/emf-inout.cpp
@@ -2653,7 +2653,7 @@
             PU_EMRROUNDRECT pEmr = (PU_EMRROUNDRECT) lpEMFR;
             U_RECTL rc = pEmr->rclBox;
             U_SIZEL corner = pEmr->szlCorner;
-            double f = 4.*(sqrt(2) - 1)/3;
+            double f = 4.*(sqrt(2.) - 1)/3;
             double f1 = 1.0 - f;
             double cnx = corner.cx/2;
             double cny = corner.cy/2;
--- inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/wmf-inout.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/wmf-inout.cpp
@@ -2190,7 +2190,7 @@
             int16_t Height,Width;
             nSize = U_WMRROUNDRECT_get(contents, &Width, &Height, &rc);
             U_sanerect16(rc, &left, &top, &right, &bottom);
-            double f = 4.*(sqrt(2) - 1)/3;
+            double f = 4.*(sqrt(2.) - 1)/3;
             double f1 = 1.0 - f;
             double cnx = Width/2;
             double cny = Height/2;
--- inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/emf-print.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/emf-print.cpp
@@ -648,7 +648,7 @@
         Geom::Point p1(one * transform);
         Geom::Point p(p1 - p0);
 
-        double scale = sqrt((p[X] * p[X]) + (p[Y] * p[Y])) / sqrt(2);
+        double scale = sqrt((p[X] * p[X]) + (p[Y] * p[Y])) / sqrt(2.);
 
         if (!style->stroke_width.computed) {
             return 0;   //if width is 0 do not (reset) the pen, it should already be NULL_PEN
--- inkscape-1.4_2024-10-09_e7c3feb100/src/ui/dialog/grid-arrange-tab.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/ui/dialog/grid-arrange-tab.cpp
@@ -437,8 +437,8 @@
                 NoOfColsSpinner.set_value(NoOfCols);
             }
         } else {
-            double PerRow = ceil(sqrt(selcount));
-            double PerCol = ceil(sqrt(selcount));
+            double PerRow = ceil(sqrt(static_cast<double>(selcount)));
+            double PerCol = ceil(sqrt(static_cast<double>(selcount)));
             NoOfRowsSpinner.set_value(PerRow);
             NoOfColsSpinner.set_value(PerCol);
         }
--- inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/metafile-print.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/extension/internal/metafile-print.cpp
@@ -362,8 +362,8 @@
     double x1, y1, x2, y2;
     Geom::Path SVGep;
 
-    x1 = ctr[X]  +  cos(F) * rx * cos(0)      +   sin(-F) * ry * sin(0);
-    y1 = ctr[Y]  +  sin(F) * rx * cos(0)      +   cos(F)  * ry * sin(0);
+    x1 = ctr[X]  +  cos(F) * rx * cos(0.)      +   sin(-F) * ry * sin(0.);
+    y1 = ctr[Y]  +  sin(F) * rx * cos(0.)      +   cos(F)  * ry * sin(0.);
     x2 = ctr[X]  +  cos(F) * rx * cos(M_PI)   +   sin(-F) * ry * sin(M_PI);
     y2 = ctr[Y]  +  sin(F) * rx * cos(M_PI)   +   cos(F)  * ry * sin(M_PI);
 
@@ -386,13 +386,13 @@
     double x21, y21, x22, y22;
     double degrot = F * 360. / (2.*M_PI);
 
-    x11 = ctr[X]  +  cos(F) * rx1 * cos(0)      +   sin(-F) * ry1 * sin(0);
-    y11 = ctr[Y]  +  sin(F) * rx1 * cos(0)      +   cos(F)  * ry1 * sin(0);
+    x11 = ctr[X]  +  cos(F) * rx1 * cos(0.)      +   sin(-F) * ry1 * sin(0.);
+    y11 = ctr[Y]  +  sin(F) * rx1 * cos(0.)      +   cos(F)  * ry1 * sin(0.);
     x12 = ctr[X]  +  cos(F) * rx1 * cos(M_PI)   +   sin(-F) * ry1 * sin(M_PI);
     y12 = ctr[Y]  +  sin(F) * rx1 * cos(M_PI)   +   cos(F)  * ry1 * sin(M_PI);
 
-    x21 = ctr[X]  +  cos(F) * rx2 * cos(0)      +   sin(-F) * ry2 * sin(0);
-    y21 = ctr[Y]  +  sin(F) * rx2 * cos(0)      +   cos(F)  * ry2 * sin(0);
+    x21 = ctr[X]  +  cos(F) * rx2 * cos(0.)      +   sin(-F) * ry2 * sin(0.);
+    y21 = ctr[Y]  +  sin(F) * rx2 * cos(0.)      +   cos(F)  * ry2 * sin(0.);
     x22 = ctr[X]  +  cos(F) * rx2 * cos(M_PI)   +   sin(-F) * ry2 * sin(M_PI);
     y22 = ctr[Y]  +  sin(F) * rx2 * cos(M_PI)   +   cos(F)  * ry2 * sin(M_PI);
 
@@ -413,8 +413,8 @@
     double x1, y1, x2, y2;
     Geom::Path SVGep;
 
-    x1 = ctr[X]  +  cos(F) * rx * cos(0)      +   sin(-F) * ry * sin(0);
-    y1 = ctr[Y]  +  sin(F) * rx * cos(0)      +   cos(F)  * ry * sin(0);
+    x1 = ctr[X]  +  cos(F) * rx * cos(0.)      +   sin(-F) * ry * sin(0.);
+    y1 = ctr[Y]  +  sin(F) * rx * cos(0.)      +   cos(F)  * ry * sin(0.);
     x2 = ctr[X]  +  cos(F) * rx * cos(M_PI)   +   sin(-F) * ry * sin(M_PI);
     y2 = ctr[Y]  +  sin(F) * rx * cos(M_PI)   +   cos(F)  * ry * sin(M_PI);
 
